org.apache.cassandra.db

## Class ReadCommand.CheckForAbort

- java.lang.Object
- - org.apache.cassandra.db.transform.Transformation<I>
  - - org.apache.cassandra.db.transform.StoppingTransformation<UnfilteredRowIterator>
    - - org.apache.cassandra.db.ReadCommand.CheckForAbort

Enclosing class:
  ReadCommand

    protected class ReadCommand.CheckForAbort
    extends StoppingTransformation<UnfilteredRowIterator>

### Constructor Summary

Constructors
`protected` `CheckForAbort()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected UnfilteredRowIterator` `applyToPartition(UnfilteredRowIterator partition)` Applied to any rows iterator (partition) we encounter in a partitions iterator
`protected Row` `applyToRow(Row row)` Applied to any row we encounter in a rows iterator

### Methods inherited from class org.apache.cassandra.db.transform.StoppingTransformation

`attachTo, attachTo, onClose, onPartitionClose, stop, stopInPartition`

### Methods inherited from class org.apache.cassandra.db.transform.Transformation

`apply, apply, apply, apply, applyToDeletion, applyToMarker, applyToPartitionColumns, applyToPartitionKey, applyToStatic`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CheckForAbort

    protected CheckForAbort()

### Method Detail

#### applyToPartition

    protected UnfilteredRowIterator applyToPartition(UnfilteredRowIterator partition)

Description copied from class: `Transformation`
Applied to any rows iterator (partition) we encounter in a partitions iterator

Overrides:
  `applyToPartition` in class `Transformation<UnfilteredRowIterator>`

#### applyToRow

    protected Row applyToRow(Row row)

Description copied from class: `Transformation`
Applied to any row we encounter in a rows iterator

Overrides:
  `applyToRow` in class `Transformation<UnfilteredRowIterator>`